Bug 74083 - bug in null package manager
bug in null package manager
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-packages (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2002-09-15 07:17 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-09-17 07:37:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-09-15 07:17:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
This is a bug for null (9.0 beta) and not for Redhat 7.3. After installing using
a network based install, I cannot start the package manager. It dies giving the
error message

[root@120pc222 root]# redhat-config-packages
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 134, in ?
    im = method.CdromInstallMethod()
  File "/usr/share/redhat-config-packages/method.py", line 323, in __init__
    discid.read(self.baseDir + "/.discinfo")
  File "/usr/lib/python2.2/site-packages/rhpl/discid.py", line 30, in read
    file = open (filename, 'r')
IOError: [Errno 2] No such file or directory: '/usr/share/comps/i386/.discinfo'
[root@120pc222 root]#

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install null using network based install
2.Start the package manager

Additional info:
Comment 1 Jeremy Katz 2002-09-20 11:52:32 EDT
The comps package (from RedHat/base/comps.rpm) wasn't being installed on
ftp/http installs.  If you install it, then redhat-config-packages should start
fine.  Current versions give a better error message in this case as well.

Note You need to log in before you can comment on or make changes to this bug.